oracle.xml.xquery

## Interface OXQStackTraceElement

    public interface OXQStackTraceElement

Provides contextual information about query processing to an XQuery debugger client.

Since:
  12.1
See Also:
  `OXQDebugListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getModuleLocationURI()` Gets the location of the current module, or `null` if not available.
`XQStaticContext` `getStaticContext()` Gets a read-only view of the static context at this execution point, or `null` if not available.
`XQStackTraceElement` `getXQView()` Returns the `XQStackTraceElement` instance corresponding to this instance.

### Method Detail

#### getXQView

    XQStackTraceElement getXQView()

Returns the `XQStackTraceElement` instance corresponding to this instance.

Returns:
  the `XQStackTraceElement` instance

#### getModuleLocationURI

    java.lang.String getModuleLocationURI()

Gets the location of the current module, or `null` if not available.

Returns:
  the location or `null` if not available

#### getStaticContext

    XQStaticContext getStaticContext()

Gets a read-only view of the static context at this execution point, or `null` if not available.

Returns:
  the static context or `null` if not available

Copyright © 2003, 2020, Oracle and/or its affiliates.